Subject: [IRTF-Announce] Colin Perkins to be next IRTF Chair

From: IAB Executive Administrative Manager <[email-masked]>
Date: Mon, 11 Feb 2019 11:03:25 -0800

After having served as IRTF chair since 2017, Allison Mankin will step 
down as Internet Research Task Force (IRTF) chair during IETF 104 in 
March 2019.

The IAB has appointed Colin Perkins as her successor, and in the weeks 
to come Colin will be working with Allison in transitioning 
responsibilities.

The IAB would like to thank Allison for serving the community by 
fulfilling the role for the past two years, and thank Colin for taking 
up the responsibility.  The IAB would also like to thank the other 
volunteers for this position; with so many good candidates, it was a 
difficult choice for the IAB.

For more information about the IRTF, please see https://irtf.org/.